VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
IViewAddedRemovedObserver Class Referenceabstract
New classes » Version 4.0

view added removed observer interface for CFrame More...

`#include <cframe.h>`

Inheritance diagram for IViewAddedRemovedObserver:

## Public Member Functions
virtual | ~IViewAddedRemovedObserver () noexcept=default
virtual void | onViewAdded (CFrame *frame, CView *view)=0
virtual void | onViewRemoved (CFrame *frame, CView *view)=0

## Detailed Description

view added removed observer interface for CFrame

## Constructor & Destructor Documentation

## ◆ ~IViewAddedRemovedObserver()

virtual ~IViewAddedRemovedObserver | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

## ◆ onViewAdded()

virtual void onViewAdded | ( | CFrame * | frame,
|  | CView * | view )
| pure virtual

Implemented in VST3Editor.

## ◆ onViewRemoved()

virtual void onViewRemoved | ( | CFrame * | frame,
|  | CView * | view )
| pure virtual

Implemented in VST3Editor.

The documentation for this class was generated from the following file:

- cframe.h